Usage report
curl --request POST \
--url https://api.birdeye.com/resources/v1/reports/usage \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "<string>",
"endDate": "<string>",
"reviewSites": [
"<unknown>"
],
"ratings": [
"<unknown>"
],
"days": 123,
"groupByDays": 123,
"reviewSiteAllFlag": true
}
'import requests
url = "https://api.birdeye.com/resources/v1/reports/usage"
payload = {
"startDate": "<string>",
"endDate": "<string>",
"reviewSites": ["<unknown>"],
"ratings": ["<unknown>"],
"days": 123,
"groupByDays": 123,
"reviewSiteAllFlag": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '<string>',
endDate: '<string>',
reviewSites: ['<unknown>'],
ratings: ['<unknown>'],
days: 123,
groupByDays: 123,
reviewSiteAllFlag: true
})
};
fetch('https://api.birdeye.com/resources/v1/reports/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "Total",
"alias1": "Total",
"emailSentInfo": {
"total": 15990,
"percent": 0,
"reqCount": 15990,
"reqReminderCount": 37034,
"shareReqCount": 0,
"shareReqReminderCount": 0
},
"emailOpenInfo": {
"total": 10316,
"percent": 64.5,
"reqCount": 10316,
"reqReminderCount": 0,
"shareReqCount": 0,
"shareReqReminderCount": 0
},
"emailClickInfo": {
"total": 1370,
"percent": 8.6,
"rcmdCount": [
{
"name": "Google",
"count": 683,
"percent": 49.9,
"sourceId": 2
},
{
"name": "Facebook",
"count": 263,
"percent": 19.2,
"sourceId": 110
},
{
"name": "Birdeye",
"count": 4,
"percent": 0.3,
"sourceId": 100
}
],
"nonRcmdCount": [
{
"name": "Birdeye",
"count": 420,
"percent": 30.7,
"sourceId": 100
}
]
},
"rcmdReviewsCount": [
{
"sourceId": 2,
"sourceName": "Google",
"sourceAlias": "Google",
"avgRating": null,
"reviewCount": 1297
},
{
"sourceId": 110,
"sourceName": "Facebook",
"sourceAlias": "Facebook",
"avgRating": null,
"reviewCount": 517
},
{
"sourceId": 100,
"sourceName": "Birdeye",
"sourceAlias": "birdeye",
"avgRating": null,
"reviewCount": 176
},
{
"sourceId": 1,
"sourceName": "Yelp",
"sourceAlias": "Yelp",
"avgRating": null,
"reviewCount": 171
},
{
"sourceId": 25,
"sourceName": "The Knot",
"sourceAlias": "The Knot",
"avgRating": null,
"reviewCount": 6
},
{
"sourceId": 21,
"sourceName": "Wedding Wire",
"sourceAlias": "Wedding Wire",
"avgRating": null,
"reviewCount": 1
}
],
"nonRcmdReviewsCount": [
{
"sourceId": 100,
"sourceName": "Birdeye",
"sourceAlias": "birdeye",
"avgRating": null,
"reviewCount": 516
}
],
"smsSentInfo": {
"total": 39980,
"percent": 0,
"reqCount": 39980,
"reqReminderCount": 0,
"shareReqCount": 0,
"shareReqReminderCount": 0
},
"smsOpenInfo": {
"total": 2340,
"percent": 5.9,
"reqCount": 2340,
"reqReminderCount": 0,
"shareReqCount": 0,
"shareReqReminderCount": 0
},
"smsClickInfo": {
"total": 1558,
"percent": 3.9,
"rcmdCount": [
{
"name": "Google",
"count": 850,
"percent": 54.6,
"sourceId": 2
},
{
"name": "Facebook",
"count": 425,
"percent": 27.3,
"sourceId": 110
},
{
"name": "Birdeye",
"count": 2,
"percent": 0.1,
"sourceId": 100
}
],
"nonRcmdCount": [
{
"name": "Birdeye",
"count": 281,
"percent": 18,
"sourceId": 100
}
]
},
"totalReviewsCount": 2684
}
]{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Usage report
Usage report gives the usage details for the review requests, and the number of requests sent, opened and clicked.
POST
/
v1
/
reports
/
usage
Usage report
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the Business.
The type of Report - Summary or Tabular.
The starting index of the reviews
The number of reviews to query
Body
application/json
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
[
{
"name": "Total",
"alias1": "Total",
"emailSentInfo": {
"total": 15990,
"percent": 0,
"reqCount": 15990,
"reqReminderCount": 37034,
"shareReqCount": 0,
"shareReqReminderCount": 0
},
"emailOpenInfo": {
"total": 10316,
"percent": 64.5,
"reqCount": 10316,
"reqReminderCount": 0,
"shareReqCount": 0,
"shareReqReminderCount": 0
},
"emailClickInfo": {
"total": 1370,
"percent": 8.6,
"rcmdCount": [
{
"name": "Google",
"count": 683,
"percent": 49.9,
"sourceId": 2
},
{
"name": "Facebook",
"count": 263,
"percent": 19.2,
"sourceId": 110
},
{
"name": "Birdeye",
"count": 4,
"percent": 0.3,
"sourceId": 100
}
],
"nonRcmdCount": [
{
"name": "Birdeye",
"count": 420,
"percent": 30.7,
"sourceId": 100
}
]
},
"rcmdReviewsCount": [
{
"sourceId": 2,
"sourceName": "Google",
"sourceAlias": "Google",
"avgRating": null,
"reviewCount": 1297
},
{
"sourceId": 110,
"sourceName": "Facebook",
"sourceAlias": "Facebook",
"avgRating": null,
"reviewCount": 517
},
{
"sourceId": 100,
"sourceName": "Birdeye",
"sourceAlias": "birdeye",
"avgRating": null,
"reviewCount": 176
},
{
"sourceId": 1,
"sourceName": "Yelp",
"sourceAlias": "Yelp",
"avgRating": null,
"reviewCount": 171
},
{
"sourceId": 25,
"sourceName": "The Knot",
"sourceAlias": "The Knot",
"avgRating": null,
"reviewCount": 6
},
{
"sourceId": 21,
"sourceName": "Wedding Wire",
"sourceAlias": "Wedding Wire",
"avgRating": null,
"reviewCount": 1
}
],
"nonRcmdReviewsCount": [
{
"sourceId": 100,
"sourceName": "Birdeye",
"sourceAlias": "birdeye",
"avgRating": null,
"reviewCount": 516
}
],
"smsSentInfo": {
"total": 39980,
"percent": 0,
"reqCount": 39980,
"reqReminderCount": 0,
"shareReqCount": 0,
"shareReqReminderCount": 0
},
"smsOpenInfo": {
"total": 2340,
"percent": 5.9,
"reqCount": 2340,
"reqReminderCount": 0,
"shareReqCount": 0,
"shareReqReminderCount": 0
},
"smsClickInfo": {
"total": 1558,
"percent": 3.9,
"rcmdCount": [
{
"name": "Google",
"count": 850,
"percent": 54.6,
"sourceId": 2
},
{
"name": "Facebook",
"count": 425,
"percent": 27.3,
"sourceId": 110
},
{
"name": "Birdeye",
"count": 2,
"percent": 0.1,
"sourceId": 100
}
],
"nonRcmdCount": [
{
"name": "Birdeye",
"count": 281,
"percent": 18,
"sourceId": 100
}
]
},
"totalReviewsCount": 2684
}
]
⌘I